summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAssaf Gordon <assafgordon@gmail.com>2016-10-27 18:53:52 (GMT)
committerAssaf Gordon <assafgordon@gmail.com>2016-10-27 18:53:52 (GMT)
commit50deb6ee4c6e38f654f576893d032c76acc01d00 (patch)
tree77368d3a1e5d4632cb5b8ab8a0d3335c04e4dd00
parent14453e028c34ed799e367e1f8f2a2dfbda413e5b (diff)
downloadbin_scripts-50deb6ee4c6e38f654f576893d032c76acc01d00.zip
bin_scripts-50deb6ee4c6e38f654f576893d032c76acc01d00.tar.gz
bin_scripts-50deb6ee4c6e38f654f576893d032c76acc01d00.tar.bz2
install-bin-scripts.sh: new web-bootstrap script
-rw-r--r--README.md11
-rw-r--r--install-bin-scripts.sh35
2 files changed, 44 insertions, 2 deletions
diff --git a/README.md b/README.md
index 18f446e..f052df6 100644
--- a/README.md
+++ b/README.md
@@ -37,7 +37,13 @@ Available scripts
INSTALLATION
------------
-When using the released tarball version ( https://github.com/agordon/bin_scripts/releases ):
+Quick and Dirty:
+
+ sudo apt-get install -yqq automake autoconf make git
+ curl https://housegordon.org/install-bin-scripts.sh | sh
+
+
+Using the released tarball version ( https://github.com/agordon/bin_scripts/releases ):
tar -xzvf gordon-bin-scripts-X.Y.Z.tar.gz
cd gordon-bin-scripts-X.Y.Z
@@ -45,7 +51,7 @@ When using the released tarball version ( https://github.com/agordon/bin_scripts
make
sudo make install
-When using the GIT repository:
+Using the GIT repository:
git clone git://github.com/agordon/bin_scripts.git
cd bin_scripts
@@ -58,6 +64,7 @@ When using HomeBrew/LinuxBrew:
brew install --HEAD https://raw.github.com/agordon/bin_scripts/master/gordon_bin_scripts.rb
+
SOURCE
------
See here: https://github.com/agordon/bin_scripts
diff --git a/install-bin-scripts.sh b/install-bin-scripts.sh
new file mode 100644
index 0000000..ae80077
--- /dev/null
+++ b/install-bin-scripts.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Copyright (C) 2016 Assaf Gordon <assafgordon@gmail.com>
+#
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+
+#
+# A tiny bootstrap script to download and install gordon's bin_scripts.
+# Typical usage:
+# sudo apt-get install automake autoconf make git
+# curl https://housegordon.org/install-bin-scripts.sh | sh
+#
+# See: https://github.com/agordon/bin_scripts for details.
+
+set -eu
+dir=$(mktemp -d -t agn-bin-scripts.XXXXXX)
+cd "$dir"
+
+git clone git://github.com/agordon/bin_scripts.git
+cd bin_scripts
+./bootstrap
+./configure
+make
+
+sudo -p "Enter password(sudo) for bin_script's 'make install': " make install
+
+cd $(dirname "$dir")
+rm -rf "$dir/"